aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2010-04-10 22:18:28 +0200
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2010-04-11 05:59:59 +0200
commit0ed643665f03cee817f82cb13023a5210149def2 (patch)
tree3fb5bd0f4ef375bcc5dbd08d2e6e6051a8a1bade
parent0a63c06319a792a3d59f1f6a3ce181c9e43d5f0f (diff)
downloadbuildroot-0ed643665f03cee817f82cb13023a5210149def2.tar.gz
buildroot-0ed643665f03cee817f82cb13023a5210149def2.tar.bz2
Update config.{guess,sub} unconditionally
Remove the BR2_UPDATE_CONFIG option which allowed to globally enable/disable the replacement of config.{guess,sub} for autotools-based packages. Doing it unconditionnally just works. Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
-rw-r--r--Config.in2
-rw-r--r--package/Makefile.autotools.in2
-rw-r--r--package/gnuconfig/Config.in8
3 files changed, 0 insertions, 12 deletions
diff --git a/Config.in b/Config.in
index b82a11b3bd..f2d4a5010e 100644
--- a/Config.in
+++ b/Config.in
@@ -327,8 +327,6 @@ config BR2_HAVE_DEVFILES
Install headers and static libraries in the
target filesystem
-source package/gnuconfig/Config.in
-
endmenu
source "toolchain/Config.in"
diff --git a/package/Makefile.autotools.in b/package/Makefile.autotools.in
index a8dd0511ff..a4be8c8b32 100644
--- a/package/Makefile.autotools.in
+++ b/package/Makefile.autotools.in
@@ -128,9 +128,7 @@ define UPDATE_CONFIG_HOOK
done
endef
-ifeq ($(BR2_UPDATE_CONFIG),y)
$(2)_POST_PATCH_HOOKS += UPDATE_CONFIG_HOOK
-endif
#
# Hook to patch libtool to make it work properly for cross-compilation
diff --git a/package/gnuconfig/Config.in b/package/gnuconfig/Config.in
deleted file mode 100644
index 5ac0bb3ffd..0000000000
--- a/package/gnuconfig/Config.in
+++ /dev/null
@@ -1,8 +0,0 @@
-config BR2_UPDATE_CONFIG
- bool "update config.sub and config.guess"
- default y
- help
- This just exists to easily update the config.sub / config.guess
- files in packages to the latest version (since many bundled ones
- don't support the latest possible targets)
-